### Method

# Clutter LayoutManager child_set

#### Declaration [src]

    void
    clutter_layout_manager_child_set (
      ClutterLayoutManager* manager,
      ClutterActor* container,
      ClutterActor* actor,
      const gchar* first_property,
      ...
    )

#### Description [src]

Sets a list of properties and their values on the `ClutterLayoutMeta` associated by `manager` to a child of `container`

Languages bindings should use `clutter_layout_manager_child_set_property()` instead.

This method is not directly available to language bindings.

#### Parameters

`container`

  Type: `ClutterActor`

  A `ClutterActor` using `manager`.

  The data is owned by the caller of the method.

`actor`

  Type: `ClutterActor`

  A `ClutterActor` child of `container`.

  The data is owned by the caller of the method.

`first_property`

  Type: `const gchar*`

  The first property name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  A list of property name and value pairs.